The REST API is relatively similar to the Twitter API with the addition of Blellow’s unique features. Our goal here is to make it easy for application developers to integrate with us.
Where .format can be .rss, .json, or .xml. Depending on feedback we may also add .atom. A format is required, if it is omitted you will receive an html page from the site or an error. At this time you may not request an rss feed with an http accept header.
Authentication
The Blellow API uses http basic authentication, this is easily done with curl’s -u flag, or equivalent options in your programming language of choice. For example the httpauth option to php’s http://us3.php.net/manual/en/function.http-request.php httprequest function.
Rate Limiting
API calls are limited to 10 write operations per 15 minute period, write operations include posting both public and private messages. You must track your own usage as the api calls as Blellow may silently ignore the request or return a 422 Unprocessable Entity error depending on the specific call. Blellow will also continue to implement anti-spam measures, so please do not post messages that appear to be spam especially many similar messages. These messages may be returned with an error or silently ignored depending on the exact limits they hit.
Quick Start
Get the public timeline in RSS format, unauthenticated: curl http://api.blellow.com/everyone.rss
Get updates from users you follow in XML, authenticated: curl -u username:password http://api.blellow.com/{username}/dashboard.xml
See just the headers for that last request: curl –head -u username:password http://api.blellow.com/{username}/dashboard.xml
Get any page from Blellow in a computer-friendly format by adding .rss, .json, or .xml to the url.
Post a status update and get the resulting status back as JSON: curl -u username:password –d messagebody=”Your Message” http://api.blellow.com/{username}/messages.json
Kudos: Kudos are a pat on the back given by someone with a question to whoever gives them the answer. Kudos can only be awarded if the original post is kudos-enabled by checking the box below the input box that reads “I need help! (enable kudos)”
Following: Blellow users may follow other users to get their updates in the my network view and the dashboard api call. The user who follows is the follower.
Fans: These are people who are following a user but who the user is not following back.
Friends: These are people who are following user and who the user is following back.
API Calls
As time progresses, these calls and signatures will grow. These are the available calls as of 6/22/2009
Message Feeds - You can get messages through the api in all the same formats as available through the web interface.
Individual Statuses - Once you have a message id there are functions to work on the individual messages, such as showing or viewing the replies.
User Methods - For an individual user you can get more information about them and their followers.
Private Messages - Private or direct messages can be retrieved but not sent through the API.
Element Formats
Blellow data is served in a few different formats; xml, rss, and json. Generally rss provides only a summary while xml and json have access to all the relevant data from the blellow database.
Status Element - the messages as they appear in feeds, or anywhere else.
Users - When a user is returned as a follower, fan, or friend, this is the format.
User Details - The information from a user’s profile can be retrieved from the details api.